//定义时间尺度，仿真时间/时间精度
`timescale 1 ns/1 ns

//测试模块
module tb_mdyBookHuxiLedExec06();

//时钟信号和复位信号
//将设计文件中的输入信号定义为reg型
reg   clk  ;
reg   rst_n;

//将设计文件中的输出信号定义为wire型
wire   led0;
wire   led1;
wire   led2;
wire   led3;

//时钟周期，单位为ns，与工程的时钟频率相关
parameter  CYCLE=20;

//待测试的模块例化
//#(.TIME_1S(200))，将参数TIME_1S改为200，从而减少仿真时间
//由于在设计文件中TIME_1S的值过于大，若用来仿真则观察想要的波形需要很长时间
mdyBookHuxiLedExec06#(.TIME_1S(200)) uut(
    .clk          (clk    ), 
    .rst_n        (rst_n  ),
    .led0         (led0   ),
    .led1         (led1   ),
    .led2         (led2   ),
    .led3         (led3   )
);


//生成本地时钟50M
initial begin
    clk = 0;
    forever
    #(CYCLE/2)
    clk=~clk;
end

//产生复位信号
initial begin
    rst_n = 1;
    #2;
    rst_n = 0;
    #(CYCLE*3);
    rst_n = 1;
end

endmodule


